commit:     497586f30c6cf3729bc715385f3e82e5a7594c02
Author:     Manuel Rüger <mrueg <AT> gentoo <DOT> org>
AuthorDate: Thu Sep  6 17:32:27 2018 +0000
Commit:     Manuel Rüger <mrueg <AT> gentoo <DOT> org>
CommitDate: Thu Sep  6 17:32:27 2018 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=497586f3

app-emulation/reg: Version bump to 0.15.5

Package-Manager: Portage-2.3.49, Repoman-2.3.10

 app-emulation/reg/Manifest          |  1 +
 app-emulation/reg/reg-0.15.5.ebuild | 48 +++++++++++++++++++++++++++++++++++++
 2 files changed, 49 insertions(+)

diff --git a/app-emulation/reg/Manifest b/app-emulation/reg/Manifest
index 9f00c49ce54..4448838ad32 100644
--- a/app-emulation/reg/Manifest
+++ b/app-emulation/reg/Manifest
@@ -1 +1,2 @@
 DIST reg-0.15.4.tar.gz 4052737 BLAKE2B 
34bc68d3cb161bbea02bfc0ed142cb764f2db64610ac7b2b92130cfc838cfa4fde4794da9fd2d38a9bb73e994cf386ac9f50beaa4435b88cf034a4f4d0b648cc
 SHA512 
d5948b095c310c2697a2f7b80a342af6949e4cb66c521cdb370a6fbead7424d729057fe71952291ee1ed82717cd7bb29141f6a2f85c946e33fd96da1c17912dd
+DIST reg-0.15.5.tar.gz 4053475 BLAKE2B 
60541d7f02f3ee658fa185206f76df1045975101f0a25a636493a454984a8a2c836b1b74f7b8b6768c66ce0e12b12708b3f42d233e15ba64f0251b02a841bb76
 SHA512 
c1293868ea30dcdfc5251f95a5f287f8043be3a2372fdd08c0836919f6722c5931eb429f9047769b442bf3fdbb50c476e8509c62cb20b4b45d30793571cce44e

diff --git a/app-emulation/reg/reg-0.15.5.ebuild 
b/app-emulation/reg/reg-0.15.5.ebuild
new file mode 100644
index 00000000000..1691054568e
--- /dev/null
+++ b/app-emulation/reg/reg-0.15.5.ebuild
@@ -0,0 +1,48 @@
+# Copyright 1999-2018 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+inherit golang-build golang-vcs-snapshot user
+
+EGO_PN="github.com/genuinetools/reg"
+GIT_COMMIT="1328dc17a08200e8535f7f7098996a7f6c261a3a"
+ARCHIVE_URI="https://${EGO_PN}/archive/v${PV}.tar.gz -> ${P}.tar.gz"
+KEYWORDS="~amd64"
+
+DESCRIPTION="Docker registry v2 command line client"
+HOMEPAGE="https://github.com/genuinetools/reg";
+SRC_URI="${ARCHIVE_URI}"
+LICENSE="MIT"
+SLOT="0"
+IUSE=""
+
+RESTRICT="test"
+
+pkg_setup() {
+       enewgroup reg
+       enewuser reg -1 -1 /var/lib/reg reg
+}
+
+src_prepare() {
+       pushd src/${EGO_PN} || die
+       default
+       popd || die
+}
+
+src_compile() {
+       pushd src/${EGO_PN} || die
+       GOPATH="${S}" go build -v -ldflags "-X 
${EGO_PN}/version.GITCOMMIT=${GIT_COMMIT} -X ${EGO_PN}/version.VERSION=${PV}" 
-o "${S}"/bin/reg . || die
+       popd || die
+}
+
+src_install() {
+       dobin bin/*
+       dodoc src/${EGO_PN}/README.md
+       insinto /var/lib/${PN}
+       doins -r src/${EGO_PN}/server/*
+       newinitd "${FILESDIR}"/reg.initd reg
+       newconfd "${FILESDIR}"/reg.confd reg
+
+       keepdir /var/log/reg
+       fowners -R reg:reg /var/log/reg /var/lib/reg/static
+}

Reply via email to